# Subscriptions

Get a list of Subscriptions for the current user.

Endpoint: GET /api/v1/user/subscriptions/
Version: 1.0.0
Security: apikeyAuth

## Response 200 fields (application/json):

  - `subscriptions` (array)
    Example: [{"searchIds":["{{searchId}}"],"frequency":"daily","emailAddresses":["test@urlscan.io"],"name":"Test Subscription","description":"Subscription for testing purposes","isActive":true,"ignoreTime":false}]

  - `subscriptions.searchIds` (array)
    Array of search IDs associated with this subscription.
    Example: ["{{searchId}}"]

  - `subscriptions.frequency` (string)
    Frequency of notifications.
    Enum: "live", "hourly", "daily"

  - `subscriptions.emailAddresses` (array)
    Email addresses receiving the notifications.
    Example: ["test@urlscan.io"]

  - `subscriptions.name` (string)
    Name of the subscription.
    Example: "Test Subscription"

  - `subscriptions.description` (string)
    Description of the subscription.
    Example: "Subscription for testing purposes"

  - `subscriptions.isActive` (boolean)
    Whether the subscription is active.
    Example: true

  - `subscriptions.ignoreTime` (boolean)
    Whether to ignore time constraints.

  - `subscriptions.weekDays` (array)
    Days of the week alerts will be generated.
    Enum: "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"

  - `subscriptions.permissions` (array)
    Enum: "team:read", "team:write"

  - `subscriptions.channelIds` (array)
    Array of channel IDs associated with this subscription.

  - `subscriptions.incidentChannelIds` (array)
    Array of incident channel IDs associated with this subscription.

  - `subscriptions.incidentProfileId` (string)
    Incident Profile ID associated with this subscription.

  - `subscriptions.incidentVisibility` (string)
    Incident visibility for this subscription.
    Enum: "unlisted", "private"

  - `subscriptions.incidentCreationMode` (string)
    Incident creation rule for this subscription.
    Enum: "none", "default", "always", "ignore-if-exists"

  - `subscriptions.incidentWatchKeys` (string)
    Source/key to watch in the incident.
    Enum: "scans/page.url", "scans/page.domain", "scans/page.ip", "scans/page.apexDomain", "hostnames/hostname", "hostnames/domain"


